<?php
include 'header.php';
include 'erpc_dom_tipo_contrato_social_toolbar.php'; //Nome da tabela _list.php
include_once 'connect.php';

// Método para post de Query Avançada
	$consulta = "SELECT id, ds_tipo_contrato_social FROM erpc_dom_tipo_contrato_social where st_ativo = 1";

	//Efetuando busca avançada - se passado os parametros
	if(isset($_POST['pesquisar'])) {
		$id         = $_POST['id'];
		$ds_tipo_contrato_social	= trim($_POST['ds_tipo_contrato_social']);

	  $consulta .= (!empty($id)  		? " and id like '%$id%'"            : '');
	  $consulta .= (!empty($ds_tipo_contrato_social)? " and ds_tipo_contrato_social like '%$ds_tipo_contrato_social%'"            : '');

	}
?>

<div class="block">
  <div class="header">
  <h2>Tipo de Contrato</h2>
  </div>
  <div class="content">
    <div class="table-responsive">
      <table class="table table-bordered table-striped table-responsible sortable">
        <thead>
          <tr>
            <th width=02%><input type="checkbox" class="checkall" /></th>
						<th width=02%>ID</th>
            <th width=50%>Descrição</th>
            <th width=03%>Editar</th>
						<th width=03%>Excluir</th>
          </tr>
        </thead>
        <tbody>

          <?php

			$resultado = mysqli_query($conexao, $consulta) or die ($erro = mysqli_error($conexao));
			if (mysqli_num_rows($resultado)>0) {
            while ($registro = mysqli_fetch_assoc($resultado)){

            $id      = $registro['id'];
            $id_crip = base64_encode($id);
			  		$ds_tipo_contrato_social = $registro['ds_tipo_contrato_social'];

			echo "<tr>";
            echo "<td class='text-center'><input type='checkbox' /></td>";
            echo "<td>$id</td>";
            echo "<td>$ds_tipo_contrato_social</td>";

            echo "<td class='text-center'><a href='erpc_dom_tipo_contrato_social_edit.php?id=$id_crip'>  <i class='glyphicon glyphicon-pencil' title='Editar'><span class='sr-only'>Editar</span></i></a></td>";
            echo "<td class='text-center'><a href='erpc_dom_tipo_contrato_social_remove.php?id=$id_crip'><i class='glyphicon glyphicon-remove' title='Remover'><span class='sr-only'>Remover</span></i></a></td>";
          echo "</tr>";
            }
          }
          ?>
        </tbody>
      </table>
    </div> <!-- table-responsive -->
  </div> <!-- content -->
</div> <!-- block -->
<?php include 'footer.php';?>
